classification
Title: Replace deprecated link to new page on w3c site
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, docs@python, sblondon, terry.reedy
Priority: normal Keywords: patch

Created on 2018-02-08 15:33 by sblondon, last changed 2018-02-11 00:44 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5609 merged sblondon, 2018-02-10 14:34
PR 5611 merged miss-islington, 2018-02-10 22:39
PR 5612 merged miss-islington, 2018-02-10 22:40
PR 5613 merged miss-islington, 2018-02-10 22:41
Messages (10)
msg311837 - (view) Author: Stéphane Blondon (sblondon) * Date: 2018-02-08 15:33
The documentation about namespace of ElemenTree (https://docs.python.org/3/library/xml.etree.elementtree.html#parsing-xml-with-namespaces) has a link for 'default namespace' to 'https://www.w3.org/TR/2006/REC-xml-names-20060816/#defaulting'.
This page displays a big red message because the page is outdated. It can be replaced by the new one: https://www.w3.org/TR/xml-names/#defaulting

The content of the paragraph in the new version is equivalent to the old one.


I can provide a PR if you are interested.
msg311934 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-10 03:58
Ah, yes, the 'big red message' nicely gives the replacement.  Please submit a PR against master.  Include a news blurb if you can (explained in the devguide).  If you cannot set the backport labels (I don't know of non-committer author's are allowed to, mention that all 3 are needed in a comment (I checked 2.7 and 3.8).
msg311957 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-02-10 20:46
> If you cannot set the backport labels (I don't know of non-committer author's are allowed to, mention that all 3 are needed in a comment (I checked 2.7 and 3.8)

Only committers (and the bots) can apply labels :) I've applied the necessary labels.
msg311958 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-02-10 20:50
I think the news blurb is not needed though.
msg311964 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-10 22:19
Agreed.  This could have been done without a PR.
msg311967 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-10 22:39
New changeset 8d1f2f40389c476d9240ec87a33da0373597c6af by Terry Jan Reedy (sblondon) in branch 'master':
bpo-32800: Update link to w3c doc for xml default namespaces (GH-5609)
https://github.com/python/cpython/commit/8d1f2f40389c476d9240ec87a33da0373597c6af
msg311970 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-10 23:08
New changeset e6033209754c5b01870791645044a791da1fa73f by Terry Jan Reedy (Miss Islington (bot)) in branch '3.7':
bpo-32800: Update link to w3c doc for xml default namespaces (GH-5609) (GH-5611)
https://github.com/python/cpython/commit/e6033209754c5b01870791645044a791da1fa73f
msg311974 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-11 00:42
New changeset 9d8c24b79162711551394c8f8e6002342554791b by Terry Jan Reedy (Miss Islington (bot)) in branch '3.6':
bpo-32800: Update link to w3c doc for xml default namespaces (GH-5609) GH-5612)
https://github.com/python/cpython/commit/9d8c24b79162711551394c8f8e6002342554791b
msg311975 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-11 00:42
New changeset ea6e6444bdf983c99d9175a22dd054bf02ee22b4 by Terry Jan Reedy (Miss Islington (bot)) in branch '2.7':
bpo-32800: Update link to w3c doc for xml default namespaces (GH-5609) (GH-5613)
https://github.com/python/cpython/commit/ea6e6444bdf983c99d9175a22dd054bf02ee22b4
msg311976 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-02-11 00:44
I meant, could have been done without a bpo issue.  And since the blurb was added, I kept it.  Thanks 'sbondon'.
History
Date User Action Args
2018-02-11 00:44:57terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg311976

stage: patch review -> resolved
2018-02-11 00:42:44terry.reedysetmessages: + msg311975
2018-02-11 00:42:24terry.reedysetmessages: + msg311974
2018-02-10 23:08:36terry.reedysetmessages: + msg311970
2018-02-10 22:41:51miss-islingtonsetpull_requests: + pull_request5423
2018-02-10 22:40:51miss-islingtonsetpull_requests: + pull_request5422
2018-02-10 22:39:59miss-islingtonsetpull_requests: + pull_request5421
2018-02-10 22:39:45terry.reedysetmessages: + msg311967
2018-02-10 22:19:21terry.reedysetmessages: + msg311964
2018-02-10 20:50:43Mariattasetmessages: + msg311958
2018-02-10 20:46:30Mariattasetnosy: + Mariatta
messages: + msg311957
2018-02-10 14:34:20sblondonsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request5419
2018-02-10 03:58:54terry.reedysetversions: + Python 2.7, Python 3.6, Python 3.7, Python 3.8
nosy: + terry.reedy

messages: + msg311934

type: enhancement -> behavior
stage: needs patch
2018-02-08 15:33:14sblondoncreate